Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Class ASTArrayAccess

    java.lang.Object
      |
      +--org.apache.commons.jexl.parser.SimpleNode
            |
            +--org.apache.commons.jexl.parser.ASTArrayAccess

All Implemented Interfaces:
  Node

public class ASTArrayAccess
extends SimpleNode

Like an ASTIdentifier, but with array access allowed $foo[2]

Version:
  $Id: ASTArrayAccess.java,v 1.7 2004/08/22 07:42:35 dion Exp $

Fields inherited from class org.apache.commons.jexl.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTArrayAccess(int id)`
`ASTArrayAccess(Parser p, int id)`

Method Summary
`static Object` | `evaluateExpr(Object o, Object loc)`
`Object` | `execute(Object obj, JexlContext jc)` Used to let a node calcuate it's value..
`String` | `getIdentifierString()`
`Object` | `jjtAccept(ParserVisitor visitor, Object data)` Accept the visitor.
`Object` | `value(JexlContext jc)` return the value of this node

Methods inherited from class org.apache.commons.jexl.parser.SimpleNode
`childrenAccept, dump, interpret, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTArrayAccess

    public ASTArrayAccess(int id)

### ASTArrayAccess

    public ASTArrayAccess(Parser p,
                          int id)

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Accept the visitor.
  Overrides:
    `jjtAccept` in class `SimpleNode`

### execute

    public Object execute(Object obj,
                          JexlContext jc)
                   throws Exception

  Description copied from class: `SimpleNode`
  Used to let a node calcuate it's value..
  Overrides:
    `execute` in class `SimpleNode`

### value

    public Object value(JexlContext jc)
                 throws Exception

  return the value of this node
  Overrides:
    `value` in class `SimpleNode`

### evaluateExpr

    public static Object evaluateExpr(Object o,
                                      Object loc)
                               throws Exception

### getIdentifierString

    public String getIdentifierString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.